class Users:
    def __init__(self, first_name, last_name, dob, state, hair_color):
        """Initialize User Profile variables"""
        self.first_name = first_name
        self.last_name = last_name
        self.dob = dob
        self.state = state
        self.hair_color = hair_color
        self.login_attempts = 0 

    def describe_user(self):
        """Prints descriptions of user based on inputs"""
        print(f"{self.first_name} {self.last_name} was born on {self.dob}, they live in {self.state} and they have {self.hair_color} hair") 
    
    def greet_user(self):
        """Prints personalized greeting to user specified"""
        print(f"Welcome to this python program, {self.first_name} {self.last_name}!")

    def increment_login_attempts(self):
        """Increments Login Attempts by one"""
        self.login_attempts += 1
    
    def reset_login_attempts(self):
        """Resets login attempts to zero"""
        self.login_attempts = 0